### Hierarchy

- Layer
  - Marker

## Index

### Constructors

- constructor

### Properties

- _layer
- _map
- _source
- draggable
- id
- type

### Methods

- addTo
- getLatLng
- off
- on
- setLatLng

## Constructors

### constructor

- new Marker(pos: LatLng, options?: any): Marker

- Overwrites Layer.constructor

  - Defined in Layer.ts:74

  #### Parameters

  - ##### pos: LatLng

  - ##### Optional options: any

  #### Returns Marker

## Properties

### _layer

_layer: any

Inherited from Layer._layer

- Defined in Layer.ts:13

### _map

_map: any

Inherited from Layer._map

- Defined in Layer.ts:15

### _source

_source: GeojsonSource

Overwrites Layer._source

- Defined in Layer.ts:74

### draggable

draggable: boolean

Inherited from Layer.draggable

- Defined in Layer.ts:16

### id

id: string

Inherited from Layer.id

- Defined in Layer.ts:12

### type

type: string

Inherited from Layer.type

- Defined in Layer.ts:17

## Methods

### addTo

- addTo(map: Map): Layer

- Inherited from Layer.addTo

  - Defined in Layer.ts:37

  #### Parameters

  - ##### map: Map

  #### Returns Layer

### getLatLng

- getLatLng(): LatLng

- - Defined in Layer.ts:103

  #### Returns LatLng

### off

- off(event?: string, listener?: any): Layer

- Inherited from Layer.off

  Overwrites Events.off

  - Defined in Layer.ts:58

  #### Parameters

  - ##### Optional event: string

  - ##### Optional listener: any

  #### Returns Layer

### on

- on(event: string, listener: any): Layer

- Inherited from Layer.on

  Overwrites Events.on

  - Defined in Layer.ts:45

  #### Parameters

  - ##### event: string

  - ##### listener: any

  #### Returns Layer

### setLatLng

- setLatLng(pos: LatLng): Marker

- - Defined in Layer.ts:115

  #### Parameters

  - ##### pos: LatLng

  #### Returns Marker

Generated using TypeDoc